% Data set for analysis

x=sunmeladat([4 3]); chLabels={'Sunspot';'Melanoma'};
u = x;
nPoints = length(u);

run example_analysis_parameters % Setting default paramaters 

flgDetrend = 1; 
flgStandardize = 0; % No data standardization
alpha = 0; % Do not calculate symptotic statistics

run example_pre_processing      % Detrending and/or standardization

run example_mvar_estimation     % Estimating VAR and testing adequacy of 
                                % VAR model as well as performing GCT and ICT.
% Calculate resudues.
                                n_s=length(ef);
ef1=ef(1,:);
ef2=ef(2,:);

xc11=xcorr(ef1);
v1=xc11(n_s);
xc11=xc11/v1;
xc22=xcorr(ef2);
v2=xc22(n_s);
xc22=xc22/v2;
xc12=xcorr(ef1,ef2);
xc12=xc12/sqrt(v1*v2);
n_s=length(ef)
linea=1.96/sqrt(n_s);
time=[-n_s+1:n_s-1];
   h=figure;
   set(h,'NumberTitle','off','MenuBar','none', ...
         'Name', 'Figure 4.9 Sunspot Melanoma model diagnosis')
subplot(3,1,1)
plot(time,xc11,'o-', ...
        time,linea*ones(size(time)),'k-.', ...
        time,-linea*ones(size(time)),'k-.');
title('Sunspot Residue Autocorrelation Coefficients')
set(gca,'XTickLabel', '')
grid

subplot(3,1,2)
plot(time,xc22,'o-', ...
     time,linea*ones(size(time)),'k-.', ...
     time,-linea*ones(size(time)),'k-.')
title('Detrended Melanoma Residue Autocorrelation Coefficients')
set(gca,'XTickLabel', '')
grid

subplot(3,1,3)
plot(time,xc12,'o-', ...
     time,linea*ones(size(time)),'k-.', ...
     time,-linea*ones(size(time)),'k-.')
title('Detrended Sunspot Melanoma Residue Crosscorrelation Coefficients')
axis([-40 40 -0.4 0.401])
grid
xlabel('lags (years)')